
From: Dave Hansen <haveblue@us.ibm.com>

This is in response to:
Subject: Re: 2.6.13-mm2 high memory support borken?

This should fix it.  It was simply missing the call to free_new_highpage.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/mm/init.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/i386/mm/init.c~memory-hotplug-i386-addition-functions-highmem-fix arch/i386/mm/init.c
--- 25/arch/i386/mm/init.c~memory-hotplug-i386-addition-functions-highmem-fix	Fri Sep  9 17:30:36 2005
+++ 25-akpm/arch/i386/mm/init.c	Fri Sep  9 17:30:36 2005
@@ -278,6 +278,7 @@ void __init add_one_highpage_init(struct
 {
 	if (page_is_ram(pfn) && !(bad_ppro && page_kills_ppro(pfn))) {
 		ClearPageReserved(page);
+		free_new_highpage(page);
 	} else
 		SetPageReserved(page);
 }
_
